<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Mucking about with color</title>
</head>

<body>

<?php 
echo hexdec('ffffff') . '<br><br>';
echo hexdec('eeeeee') . '<br><br>';
echo hexdec('dddddd') . '<br><br>';
echo hexdec('cccccc') . '<br><br>';
echo hexdec('bbbbbb') . '<br><br>';
echo hexdec('aaaaaa') . '<br><br>';
echo hexdec('999999') . '<br><br>';


function hex2RGB($hexStr, $returnAsString = false, $seperator = ',') {
    $hexStr = preg_replace("/[^0-9A-Fa-f]/", '', $hexStr); // Gets a proper hex string
    $rgbArray = array();
    if (strlen($hexStr) == 6) { //If a proper hex code, convert using bitwise operation. No overhead... faster
        $colorVal = hexdec($hexStr);
        $rgbArray['red'] = 0xFF & ($colorVal >> 0x10);
        $rgbArray['green'] = 0xFF & ($colorVal >> 0x8);
        $rgbArray['blue'] = 0xFF & $colorVal;
    } elseif (strlen($hexStr) == 3) { //if shorthand notation, need some string manipulations
        $rgbArray['red'] = hexdec(str_repeat(substr($hexStr, 0, 1), 2));
        $rgbArray['green'] = hexdec(str_repeat(substr($hexStr, 1, 1), 2));
        $rgbArray['blue'] = hexdec(str_repeat(substr($hexStr, 2, 1), 2));
    } else {
        return false; //Invalid hex color code
    }
    return $returnAsString ? implode($seperator, $rgbArray) : $rgbArray; // returns the rgb string or the associative array
}

$color = hex2RGB('fff');
$display = 'rgb('. $color['red'] . ',' . $color['green']. ',' . $color['blue'] . ')';
echo '<div style="width: 50px; height: 50px; background: '.$display.'"></div>';
$color['red'] = $color['red'] - 20;
$color['green'] = $color['green'] - 20;
$color['blue'] = $color['blue'] - 20;
$display = 'rgb('. $color['red'] . ',' . $color['green']. ',' . $color['blue'] . ')';
echo '<div style="width: 50px; height: 50px; background: '.$display.'"></div>';
 ?>
</body>
</html>
