$(document).ready( function() {
		
	// Grab the background image and add it to the body tag
	$('body').css('background-image', 'url("images/market.jpg")');
	
	// HTML5 aufocus with jQuery backup
	if (!("autofocus" in document.createElement("input"))) {
		$('#email-field').focus();
	}
	
	// Slide open/close the form
	var formState = $('#launch-form').css('display');
	$('#form-open').click( function () {
		if (formState == 'none') {
			$('#launch-form').slideDown();
			$(this).slideUp();
			formState = 'block';
		}
	})
	
	$('#form-submit').click( function() {
		
		var emailAddy = $("#email-field").val();
		var quickQ = $("input:radio").val();
		
		return validateForm(emailAddy);
		
	});
	
	
	
});

function validateForm (emailaddressVal) {
	var hasError = false;
	var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;

	if(emailaddressVal == '') {
		alert('Please enter your email address.');
		hasError = true;
	}

	else if(!emailReg.test(emailaddressVal)) {
		alert('Please enter a valid email address.');
		hasError = true;
	}

	if(hasError == true) { 
		$('#email-field').css({
				'border': '2px red solid',
				'width' : '396px'
		})
		return false; 
	}
}

