<?php  

// Get all helper functions
require('helpers.php');

$config = getConfig('config.json');

$allDisplays = arrayize($config['displays']);

$currDisplay = 	$_GET['display'];

if ($specDisplay = strstr($currDisplay, ':')) {
	
	$currDisplay = str_replace($specDisplay, '', $currDisplay);
	$specDisplay = substr($specDisplay, 1);

}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title><?php echo $config['title'] ?></title>
    <link rel="stylesheet" href="styles.css" type="text/css" media="screen" />
</head>
<body>

	<div id="wrapper">
    	
        <h1><?php echo $config['title'] . (isset($_GET['display']) ? ' sorted by ' . $_GET['display'] : '' ) ?></h1>
        
		<?php if (!$specDisplay) { ?>
		
        <form action="<?php $_SERVER['PHP_SELF']; ?>" method="get" id="view-by">
        
            <label for="display">View by:</label><br />
            <select name="display" id="display">
                <?php foreach ($allDisplays as $display) { ?>
                <option value="<?php echo $display ?>"<?php echo ( $display == $currDisplay ? ' selected' : '') ?>><?php echo $display ?></option>
                <?php } ?>
            </select><br />
            
            <label for="list">Just show list of values</label>
            <input type="checkbox" value="1" name="list" id="list"/><br />
            <input type="submit" value="Go" />
        
        </form>
		
		<?php } ?>
        
        <div id="content">
	
			<?php
				if (isset($currDisplay)) {	
					include('core.php'); 
				}
            ?>
		</div>
        
        <div id="footer">
        </div>
    
	</div>
</body>
</html>