<?php  

// Get all helper functions
require('helpers.php');

$config = getConfig('config.json');

$currProject = 	$_GET['project'];

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title><?php echo $config['title'] ?></title>
    <link rel="stylesheet" href="form-styles.css" type="text/css" media="screen" />
</head>
<body>

	<div id="wrapper">
    	
        <h1><?php echo $config['title'] . (isset($currProject) ? ' - ' . $currProject : '' ) ?></h1>
  		
        <form action="<?php echo $config['submitUrl'] ?>" method="POST" id="ss-form">
    
   		<ul>
            <li>
                <label class="ss-q-title" for="entry_0">Please give this task a name</label>
                <input type="text" name="entry.0.single" value="" id="entry_0" class="text">
            </li>
            
            <li>
                <label class="ss-q-title" for="entry_1">Please enter the full description of this problem or enhancement</label>
                <textarea name="entry.1.single" rows="8" cols="75" id="entry_1" class="text"></textarea>
            </li>
            
            <li>
              <label class="ss-q-title" for="entry_2">Please indicate the priority of this request. <br />Note:  a lower number is higher priority</label>
              <select name="entry.2.single" id="entry_2">
                <option value="1">1</option>
                <option value="2">2</option>
                <option value="3">3</option>
                <option value="4">4</option>
                <option value="5">5</option>
              </select>
            </li>
            
            <?php if (!isset($currProject)) { ?>
            <li>
                <label class="ss-q-title" for="entry_4">Please enter the name of of project or domain</label>
                <input type="text" name="entry.4.single" value="" id="entry_4" class="text">
            </li>
            <?php } else { ?>
            <input type="hidden" name="entry.4.single" value="<?php echo $currProject ?>" id="entry_4">
           	<?php } ?>
            
            <li>
                <input type="hidden" name="entry.3.single" value="Client form submission" id="entry_3">
                <input type="hidden" name="entry.5.single" value="[6] Submitted" id="entry_5">
                <input type="hidden" name="entry.6.single" value="Josh" id="entry_6">
                <input type="hidden" name="pageNumber" value="0">
                <input type="hidden" name="backupCache" value="">
                <input type="submit" name="submit" id="submit" value="Submit">
           </li>
       </ul>
		
       </form>
    
	</div>

</body>
</html>