<?php
$h = 'images/work_for_me.jpg';
$b = 'images/bar.png';

$headResource = imagecreatefromjpeg($h);
$bodyResource = imagecreatefrompng($b);

list($headWidth, $headHeight) = getimagesize($h);
list($bodyWidth, $bodyHeight) = getimagesize($b);

$previewHeight = $headHeight+$bodyHeight;
$previewWidth  = $headWidth;

$previewResource = imagecreatetruecolor($previewWidth, $previewHeight);

//make background white
$white = imagecolorallocate($previewResource, 0, 0, 0);
imagefill($previewResource, 0, 0, $white);

// Copy head image
imagecopyresized($previewResource,$headResource, ($headHeight/4)+3,($headHeight/2)-3,0,0,$previewWidth/4,$previewHeight/4,$headWidth,$headHeight);

//copy body image
imagecopy($previewResource,$headResource,0,0,0,0,$headWidth,$headHeight);
imagecopy($previewResource,$bodyResource,0,$headHeight,0,0,$bodyWidth,$bodyHeight);

header('Content-type: image/jpeg');
imagejpeg($previewResource);
