/** 
Affiliate and origin cookie setting
This is done in WordPress via PHP (/wp-content/themes/smartvault/functions.php)
Use these for static pages

Query string from http://stackoverflow.com/questions/901115/how-can-i-get-query-string-values
**/

// Check for 'acode' query string and set cookie if yes
var paramAcode = getUrlQueryByName('acode');
if (paramAcode.length) createCookie('affilcode', paramAcode, 30);

// Check for 'origin' query string and set cookie if yes
var paramOrigin = getUrlQueryByName('origin');
if (paramOrigin.length) createCookie('origin', paramOrigin, 30);

function getUrlQueryByName(name)
{
  name = name.replace(/[\[]/, "\\\[").replace(/[\]]/, "\\\]");
  var regexS = "[\\?&]" + name + "=([^&#]*)";
  var regex = new RegExp(regexS);
  var results = regex.exec(window.location.search);
  if(results !== null) return decodeURIComponent(results[1].replace(/\+/g, " "));
	else return '';
}

function createCookie(name,value,days)
{
	if (days)
	{
		var date = new Date();
		date.setTime(date.getTime()+(days*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
	}
	else var expires = "";
	document.cookie = name+"="+value+expires+"; path=/";
}